# This file is the entry point to configure your own services.
# Files in the packages/ subdirectory configure your dependencies.

# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices.html#use-parameters-for-application-configuration
parameters:
    google_recaptcha_site_key: '%env(GOOGLE_RECAPTCHA_SITE_KEY)%'
    profile_pics_dir: '%kernel.project_dir%/public/uploads/profile-pics/'
    blog_images_dir: '%kernel.project_dir%/public/uploads/blog-images/'
    cms_images_dir: '%kernel.project_dir%/public/uploads/cms-images/'
    block_images_dir: '%kernel.project_dir%/public/uploads/block-images/'
    regions_images_dir: '%kernel.project_dir%/public/uploads/region-images/'
    resource_images_dir: '%kernel.project_dir%/public/uploads/resources/images/'
    resource_documents_dir: '%kernel.project_dir%/public/uploads/resources/documents/'
    system_admin_email: '%env(resolve:SYSTEM_ADMIN_EMAIL)%'
    mail_from: '%env(MAIL_FROM_ADDRESS)%'
    contact_mail_address: 'lebogang.ratsoana@yahoo.com'

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            - '../src/Tests/'

    # add more service definitions when explicit configuration is needed
    # please note that last definitions always *replace* previous ones

    ASG\Bundle\WyreframeInterfaceBundle\Twig\Extension\BundleExtension: ~

    App\Service\PasswordResetter:
        class: App\Service\PasswordResetter
        arguments:
            - '@App\Repository\ForgotPasswordRepository'
            - '@doctrine.orm.entity_manager'

    App\Service\AccountActionEmailSender:
        class: App\Service\AccountActionEmailSender
        arguments:
            - '@mailer.mailer'

    App\Twig\ApplicationMenuExtension:
        arguments: [ '@Symfony\Component\Security\Core\Security', '@Symfony\Component\HttpFoundation\RequestStack' , '%kernel.project_dir%' ]
        tags: [ twig.extension ]

    App\Twig\CustomFiltersExtension:
        arguments:
            - '@Symfony\Component\Routing\RouterInterface'
            - '%kernel.project_dir%'

    ReCaptcha\ReCaptcha:
        arguments:
            - '%env(GOOGLE_RECAPTCHA_SECRET_KEY)%'

    App\Service\FormHandler:
        class: App\Service\FormHandler
        arguments:
            - '@doctrine.orm.entity_manager'